import 'package:freezed_annotation/freezed_annotation.dart';

part 'equipment_out_request.freezed.dart';
part 'equipment_out_request.g.dart';

@freezed
class EquipmentOutRequest with _$EquipmentOutRequest {
  const factory EquipmentOutRequest({
    required int equipmentId,
    required int quantity,
    required int companyId,
    int? branchId,
    String? notes,
  }) = _EquipmentOutRequest;

  factory EquipmentOutRequest.fromJson(Map<String, dynamic> json) =>
      _$EquipmentOutRequestFromJson(json);
}